Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### curve()

Examples

    stroke(255, 102, 0);
    curve(5, 26, 5, 26, 73, 24, 73, 61);
    stroke(0);
    curve(5, 26, 73, 24, 73, 61, 15, 65);
    stroke(255, 102, 0);
    curve(73, 24, 73, 61, 15, 65, 15, 65);

Description

Draws a curved line on the screen. The first and second parameters specify the first anchor point and the last two parameters specify the second anchor. The middle parameters specify the points for defining the shape of the curve. Longer curves can be created by putting a series of curve() functions together. An additional function called curveTightness() provides control for the visual quality of the curve. The curve() function is an implementation of Catmull-Rom splines. Using the 3D version of requires rendering with P3D or OPENGL (see the Environment reference for more information).

Syntax

    curve(x1, y1, x2, y2, x3, y3, x4, y4);
    curve(x1, y1, z1, x2, y2, z2, x3, y3, z3, x4, y4, z4);

Parameters

x1, y1, z1 | int or float: coordinates for the first anchor
x2, y2, z2 | int or float: coordinates for the first point
x3, y3, z3 | int or float: coordinates for the second point
x4, y4, z4 | int or float: coordinates for the second anchor

Usage | Web & Application
Related | curveVertex() bezier()

Updated on February 09, 2008 04:38:53pm PST